# Class JKStatusUpdateTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.catalina.ant.BaseRedirectorHelperTask
org.apache.catalina.ant.AbstractCatalinaTask
org.apache.catalina.ant.JKStatusUpdateTask

All Implemented Interfaces:
  `Cloneable`

public class JKStatusUpdateTask extends AbstractCatalinaTask
Ant task that implements the `/status` command, supported by the mod_jk status (1.2.9) application.

Since:
  5.5.9

## Field Summary

### Fields inherited from class AbstractCatalinaTask

`charset, ignoreResponseConstraint, password, url, username`

### Fields inherited from class BaseRedirectorHelperTask

`alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`JKStatusUpdateTask()`
Constructs a new JKStatusUpdateTask.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`checkParameter()`
check correct lb and worker parameter
`void`
`execute()`
Execute the requested operation.
`int`
`getInternalid()`
Get the internal ID.
`Boolean`
`getLbForceSession()`
Get the lbForceSession flag.
`Integer`
`getLbRecovertime()`
Get the lbRecovertime value.
`Integer`
`getLbRetries()`
Get the lbRetries value.
`Boolean`
`getLbStickySession()`
Get the lbStickySession flag.
`String`
`getWorker()`
Get the worker name.
`String`
`getWorkerClusterDomain()`
Get the worker cluster domain.
`Boolean`
`getWorkerDisabled()`
Get the worker disabled flag.
`String`
`getWorkerLb()`
Get the worker load balancing configuration.
`Integer`
`getWorkerLoadFactor()`
Get the worker load factor.
`String`
`getWorkerRedirect()`
Get the worker redirect target.
`Boolean`
`getWorkerStopped()`
Get the worker stopped flag.
`String`
`getWorkerType()`
Get the worker type.
`void`
`setInternalid(int internalid)`
Set the internal ID.
`void`
`setLbForceSession(Boolean lbForceSession)`
Set the lbForceSession flag.
`void`
`setLbRecovertime(Integer lbRecovertime)`
Set the lbRecovertime value.
`void`
`setLbRetries(Integer lbRetries)`
Set the lbRetries value.
`void`
`setLbStickySession(Boolean lbStickySession)`
Set the lbStickySession flag.
`void`
`setWorker(String worker)`
Set the worker name.
`void`
`setWorkerClusterDomain(String workerClusterDomain)`
Set the worker cluster domain.
`void`
`setWorkerDisabled(Boolean workerDisabled)`
Set the worker disabled flag.
`void`
`setWorkerLb(String workerLb)`
Set the worker load balancing configuration.
`void`
`setWorkerLoadFactor(Integer workerLoadFactor)`
Set the worker load factor.
`void`
`setWorkerRedirect(String workerRedirect)`
Set the worker redirect target.
`void`
`setWorkerStopped(Boolean workerStopped)`
Set the worker stopped flag.
`void`
`setWorkerType(String workerType)`
Set the worker type.

### Methods inherited from class AbstractCatalinaTask

`execute, execute, getCharset, getPassword, getUrl, getUsername, isIgnoreResponseConstraint, setCharset, setIgnoreResponseConstraint, setPassword, setUrl, setUsername`

### Methods inherited from class BaseRedirectorHelperTask

`addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JKStatusUpdateTask

public JKStatusUpdateTask()
Constructs a new JKStatusUpdateTask.

## Method Details

### getInternalid

public int getInternalid()
Get the internal ID.

Returns:
  the internal ID

### setInternalid

public void setInternalid(int internalid)
Set the internal ID.

Parameters:
  `internalid` - the internal ID to set

### getLbForceSession

public Boolean getLbForceSession()
Get the lbForceSession flag.

Returns:
  the lbForceSession flag

### setLbForceSession

public void setLbForceSession(Boolean lbForceSession)
Set the lbForceSession flag.

Parameters:
  `lbForceSession` - the value to set

### getLbRecovertime

public Integer getLbRecovertime()
Get the lbRecovertime value.

Returns:
  the lbRecovertime value

### setLbRecovertime

public void setLbRecovertime(Integer lbRecovertime)
Set the lbRecovertime value.

Parameters:
  `lbRecovertime` - the value to set

### getLbRetries

public Integer getLbRetries()
Get the lbRetries value.

Returns:
  the lbRetries value

### setLbRetries

public void setLbRetries(Integer lbRetries)
Set the lbRetries value.

Parameters:
  `lbRetries` - the value to set

### getLbStickySession

public Boolean getLbStickySession()
Get the lbStickySession flag.

Returns:
  the lbStickySession flag

### setLbStickySession

public void setLbStickySession(Boolean lbStickySession)
Set the lbStickySession flag.

Parameters:
  `lbStickySession` - the value to set

### getWorker

public String getWorker()
Get the worker name.

Returns:
  the worker name

### setWorker

public void setWorker(String worker)
Set the worker name.

Parameters:
  `worker` - the worker name to set

### getWorkerType

public String getWorkerType()
Get the worker type.

Returns:
  the worker type

### setWorkerType

public void setWorkerType(String workerType)
Set the worker type.

Parameters:
  `workerType` - the worker type to set

### getWorkerLb

public String getWorkerLb()
Get the worker load balancing configuration.

Returns:
  the worker load balancing configuration

### setWorkerLb

public void setWorkerLb(String workerLb)
Set the worker load balancing configuration.

Parameters:
  `workerLb` - the value to set

### getWorkerClusterDomain

public String getWorkerClusterDomain()
Get the worker cluster domain.

Returns:
  the worker cluster domain

### setWorkerClusterDomain

public void setWorkerClusterDomain(String workerClusterDomain)
Set the worker cluster domain.

Parameters:
  `workerClusterDomain` - the value to set

### getWorkerDisabled

public Boolean getWorkerDisabled()
Get the worker disabled flag.

Returns:
  the worker disabled flag

### setWorkerDisabled

public void setWorkerDisabled(Boolean workerDisabled)
Set the worker disabled flag.

Parameters:
  `workerDisabled` - the value to set

### getWorkerStopped

public Boolean getWorkerStopped()
Get the worker stopped flag.

Returns:
  the worker stopped flag

### setWorkerStopped

public void setWorkerStopped(Boolean workerStopped)
Set the worker stopped flag.

Parameters:
  `workerStopped` - the value to set

### getWorkerLoadFactor

public Integer getWorkerLoadFactor()
Get the worker load factor.

Returns:
  the worker load factor

### setWorkerLoadFactor

public void setWorkerLoadFactor(Integer workerLoadFactor)
Set the worker load factor.

Parameters:
  `workerLoadFactor` - the value to set

### getWorkerRedirect

public String getWorkerRedirect()
Get the worker redirect target.

Returns:
  the worker redirect target

### setWorkerRedirect

public void setWorkerRedirect(String workerRedirect)
Set the worker redirect target.

Parameters:
  `workerRedirect` - the value to set

### execute

public void execute() throws org.apache.tools.ant.BuildException
Execute the requested operation.

Overrides:
  `execute` in class `AbstractCatalinaTask`
Throws:
  `org.apache.tools.ant.BuildException` - if an error occurs

### checkParameter

protected void checkParameter()
check correct lb and worker parameter